<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\TeilnehmerInfo\TeilnehmerDetails;

use Kufer\KuferTools\Utils\DatamodulHelper\TeilnehmerHelper\TeilnehmerHelper;
use Kufer\Web\KuferTools\Utils\FilterSettings\FilterSettingsCompositor;

class TeilnehmerDetailsUseCase extends \Kufer\KuferTools\Basis\TeilnehmerInfo\TeilnehmerDetails\TeilnehmerDetailsUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_TEILNEHMERINFO_VA;
  }

  public static function getToolSectionId()
  {
    return 687;
  }

  protected function getButtons(): array
  {
    $buttonsObj = new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\TeilnehmerinfoVeranstalterReiterButtons($this, $this->request, $this->response);

    return $buttonsObj->getButtons();
  }

  protected function getTeilnehmerHelper()
  {
    return TeilnehmerHelper::createVeranstalterTeilnehmerUebersicht(
      $this->toolSettings,
      $this->getUser()
    );
  }
}